package LinearneStrukture;

public class zadaciSaNizom {

	/**
	 * Izračunava zbir elemenata niza
	 * @param niz niz čiji se zbir elemenata traži
	 * @return zbir elemenata datog niza
	 */
	static int zbir(int[] niz){
		int s = 0; 
		for (int i = 0; i < niz.length; i++) {
			s += niz[i];
		}
		return s;
	}
	
	/**
	 * Ispisuje sve elemente niza
	 * @param niz niz čiji se elementi ispisuju
	 */
	static void ispisi(int[] niz){
		for (int i = 0; i < niz.length; i++) {
			System.out.println("niz[" + i + "]=" + niz[i]);
		}
	}
	
	/**
	 * Invertuje niz. Od datog niza pravi novi koji ima 
	 * iste elemente kao dati niz, ali u obrnutom redosledu.
	 * Primer ulazni niz: [3,4,2,9,7] izlazni niz: [7,9,2,4,3]
	 * @param n1 niz koji se invertuje
	 * @return novi niz koji predstavlja invertovan dati niz
	 */
	static int[] invert(int[] n1){
		int j = n1.length - 1;
		int[] n2 = new int[n1.length];
		for (int i = 0; i < n1.length; i++) {
			n2[j] = n1[i];
			j--;
		}
		return n2;
	}
	
	public static void main(String[] args) {
		int[] a = new int[]{3145, 4, 23, 654, 28};

		int suma = zadaciSaNizom.zbir(a);
		System.out.println("Zbir je " + suma);
		
		zadaciSaNizom.ispisi(a);
		int[] n2 = zadaciSaNizom.invert(a);
		System.out.println("invertovan niz je:");
		zadaciSaNizom.ispisi(n2);
	}
	
}








