package LinearneStrukture;

/**
 * Čvor dvostruko spregnute liste.
 * Svaki čvor liste u sebi čuva podatak (kod ovog čvora to je ceo broj)
 * i pokazivače na prethodni i sledeći čvor.
 * 
 * @author Kostandin Dimitrijević, Strukture podataka i algoritmi, FON, 2010
 *
 */
public class CvorDSListe {
	// podatak koji se čuva u čvoru. 
	// Ako čvor treba da čuva neki drugi tip elementa, ovde to treba promeniti
	int podatak;

	// "pokazivač" na prethodni čvor u listi
	CvorDSListe prethodni;

	// "pokazivač" na sledeći čvor u listi
	CvorDSListe sledeci;
	
	/**
	 * Konstruktor. Prihvata i postavlja sve elemente čvora.
	 * @param p Podatak koji se čuva u čvoru.
	 * @param pret Pokazivač na prethodni element liste
	 * @param sled Pokazivač na sledeći element za čvor koji se kreira
	 * 
	 */
	public CvorDSListe(int p, CvorDSListe pret, CvorDSListe sled){
		podatak = p;
		prethodni = pret;
		sledeci = sled;
	}
}
