package LinearneStrukture;

/**
 * Čvor jednostruko spregnute liste.
 * Svaki čvor liste u sebi čuva podatak (kod ovog čvora to je ceo broj)
 * i pokazivač na sledeći čvor.
 * 
 * @author Kostandin Dimitrijević, Strukture podataka i algoritmi, FON, 2010
 *
 */
public class CvorJSListe {
	// podatak koji se čuva u čvoru. 
	// Ako čvor treba da čuva neki drugi tip elementa, ovde to treba promeniti
	int podatak;
	
	// "pokazivač" na sledeći čvor u listi
	CvorJSListe sledeci;
	
	/**
	 * Konstruktor. Prihvata i postavlja sve elemente čvora.
	 * @param p Podatak koji se čuva u čvoru.
	 * @param sled Pokazivač na sledeći element za čvor koji se kreira
	 */
	public CvorJSListe(int p, CvorJSListe sled) {
		podatak = p;
		sledeci = sled;
	}
}